Bug 1976198 - machine-api fails to create AWS client in new regions
Summary: machine-api fails to create AWS client in new regions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Michael McCune
QA Contact: Milind Yadav
URL:
Whiteboard:
Depends On: 1976192 1982611
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-25 13:32 UTC by Michael McCune
Modified: 2021-08-12 01:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1949626
Environment:
Last Closed: 2021-08-12 01:36:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-aws pull 414 0 None open Bug 1976198: update aws-sdk-go to v1.38.25 2021-06-25 13:45:31 UTC
Red Hat Product Errata RHBA-2021:3008 0 None None None 2021-08-12 01:36:51 UTC

Comment 3 Milind Yadav 2021-07-21 04:35:23 UTC
Validated with build from the blocker bug which is in POST status as of now , the fix is  working fine , will move to VERIFIED once the dependent bug is merged and validated .

[miyadav@miyadav ~]$ oc project openshift-machine-api
oc Now using project "openshift-machine-api" on server "https://api.miyadav-2108bz.qe.devcluster.openshift.com:6443".
[miyadav@miyadav ~]$ oc get machines
NAME                                                PHASE     TYPE        REGION           ZONE              AGE
miyadav-2108bz-ldts8-master-0                       Running   m5.xlarge   ap-northeast-1   ap-northeast-1a   41m
miyadav-2108bz-ldts8-master-1                       Running   m5.xlarge   ap-northeast-1   ap-northeast-1c   41m
miyadav-2108bz-ldts8-master-2                       Running   m5.xlarge   ap-northeast-1   ap-northeast-1d   41m
miyadav-2108bz-ldts8-worker-ap-northeast-1a-pbtqv   Running   m5.large    ap-northeast-1   ap-northeast-1a   29m
miyadav-2108bz-ldts8-worker-ap-northeast-1c-hfh8d   Running   m5.large    ap-northeast-1   ap-northeast-1c   29m
miyadav-2108bz-ldts8-worker-ap-northeast-1d-7rlmv   Running   m5.large    ap-northeast-1   ap-northeast-1d   29m
[miyadav@miyadav ~]$ oc get clusterversion
NAME      VERSION                                                  AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.ci.test-2021-07-21-025655-ci-ln-smcb7bt-latest   True        False         7m3s    Cluster version is 4.6.0-0.ci.test-2021-07-21-025655-ci-ln-smcb7bt-latest
[miyadav@miyadav ~]$ 



Additional Info:
Adding VERIFIED flag to the bug

Comment 9 errata-xmlrpc 2021-08-12 01:36:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.42 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3008


Note You need to log in before you can comment on or make changes to this bug.